Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 230665

Summary: Guessing foomatic-db-ppds/HP/mono_laser/HP_LaserJet_4050_Series.ppd.gz from IEEE 1284 ID
Product: [Fedora] Fedora Reporter: Edgar Hoch <edgar.hoch>
Component: foomaticAssignee: Tim Waugh <twaugh>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: 6CC: triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-04 11:06:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Edgar Hoch 2007-03-01 23:25:36 UTC
Description of problem:
system-config-printer shows the following message.

Version-Release number of selected component (if applicable):
kernel-2.6.19-1.2895.fc6
foomatic-3.0.2-39.4.fc6


How reproducible:


Steps to Reproduce:
1.system-config-printer
2.add printer (or change existing printer)...
3.choose model HP LaserJet 4050 with driver Postscript (recommended)
  
Actual results:
system-config-printer tells me
(in the terminal where system-config-printer was started):

Please report a bug in Bugzilla against 'foomatic':
  https://bugzilla.redhat.com/bugzilla
Include this complete message.
Guessing foomatic-db-ppds/HP/mono_laser/HP_LaserJet_4050_Series.ppd.gz from IEEE
1284 ID:
      <manufacturer>HP</manufacturer>
      <model>LaserJet 4050 Series </model>
      <description></description>
     
<commandset>P,J,L,,,M,L,C,,,P,C,L,,,P,C,L,X,L,,,P,O,S,T,S,C,R,I,P,T</commandset>
URI: ipp://xxx.xxx.xxx.xxx:631/ipp
set PageSize = A4

(IP-address blanked)


Expected results:
No (error) messages

Additional info:

Comment 1 Tim Waugh 2007-03-02 13:00:40 UTC
There are two problems here:

1. The commandset is being given as a string instead of a list.  I've fixed that
in CVS now.

2. The 'report a bug' message is coming from failing to match an IEEE 1284
string with one in our database, but on closer inspection this is from the CUPS
snmp backend, and it's not a true IEEE 1284 string after all.

I might change that message so that it doesn't ask you to report a bug in that
case.  I wonder why there is a trailing blank in the model name though.

What does 'rpm -q cups' say?  Also, what output does this command give?:

  CUPS_DEBUG_LEVEL=1 /usr/lib/cups/backend/snmp


Comment 2 Fedora Update System 2007-04-10 16:53:25 UTC
Fixed in update: system-config-printer-0.7.52.1-2.fc6.

Comment 3 Bug Zapper 2008-04-04 06:25:02 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers